driver.h File Reference
User-space driver API | Internal API

### (8e114f9 2016-10-22 06:11:39 +0200)

Interface to the userspace drivers. More...

`#include <glob.h>`
`#include "include/media/lirc.h"`
`#include "lirc/ir_remote_types.h"`
`#include "lirc/curl_poll.h"`

Go to the source code of this file.

## Data Structures

struct | option_t
struct | driver

## Macros

#define | DRV_ERR_NOT_IMPLEMENTED 1
#define | DRVCTL_GET_STATE 1
#define | DRVCTL_SEND_SPACE 2
#define | DRVCTL_SET_OPTION 3
#define | DRVCTL_GET_RAW_CODELENGTH 4
#define | DRVCTL_GET_DEVICES 5
#define | DRVCTL_FREE_DEVICES 6
#define | DRVCTL_NOTIFY_DECODE 7
#define | DRVCTL_MAX 128
#define | DRV_ERR_NOT_IMPLEMENTED 1
#define | DRV_ERR_BAD_STATE 2
#define | DRV_ERR_BAD_OPTION 3
#define | DRV_ERR_BAD_VALUE 4

## Functions

int | default_open (const char *path)
int | default_close (void)
int | default_drvctl (unsigned int cmd, void *arg)
void | glob_t_init (glob_t *glob)
void | glob_t_free (glob_t *glob)
void | glob_t_add_path (glob_t *glob, const char *path)
int | drv_handle_options (const char *options)

## Variables

const struct driver *const | curr_driver

## Detailed Description

Interface to the userspace drivers.

Definition in file driver.h.

## Variable Documentation

## curr_driver

const struct driver* const curr_driver

Read-only access to drv for application.

Read-only access to drv for client code.

Definition at line 28 of file driver.c.